﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.17379
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(ConfigurationName="IReport")]
public interface IReport
{
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IReport/GetAllCustomer", ReplyAction="http://tempuri.org/IReport/GetAllCustomerResponse")]
    DatabaseTablesClasses.Customer[] GetAllCustomer();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IReport/GetAllOrdersForCustomer", ReplyAction="http://tempuri.org/IReport/GetAllOrdersForCustomerResponse")]
    DatabaseTablesClasses.Order[] GetAllOrdersForCustomer(int _customerid);
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public interface IReportChannel : IReport, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public partial class ReportClient : System.ServiceModel.ClientBase<IReport>, IReport
{
    
    public ReportClient()
    {
    }
    
    public ReportClient(string endpointConfigurationName) : 
            base(endpointConfigurationName)
    {
    }
    
    public ReportClient(string endpointConfigurationName, string remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public ReportClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public ReportClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(binding, remoteAddress)
    {
    }
    
    public DatabaseTablesClasses.Customer[] GetAllCustomer()
    {
        return base.Channel.GetAllCustomer();
    }
    
    public DatabaseTablesClasses.Order[] GetAllOrdersForCustomer(int _customerid)
    {
        return base.Channel.GetAllOrdersForCustomer(_customerid);
    }
}
